/* You can add global styles to this file, and also import other style files */
@import "~normalize.css/normalize.css";
$fa-font-path: "../node_modules/font-awesome/fonts";
@import "~font-awesome/scss/font-awesome.scss";

@import "~highlight.js/styles/androidstudio.css";

@import "styles/var";

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($theme);

@import "styles/misc";
@import "styles/card";
@import "styles/boxed";
@import "styles/tabs";
@import "styles/badges";
@import "styles/helpers";
@import "styles/tables";
@import "styles/tour";
@import "styles/elevation";
@import "styles/components/sidenav";
@import "styles/components/toolbar";
@import "styles/components/dashboard";
@import "styles/pages/profile";
@import "styles/pages/form-wizard";
@import "styles/pages/chat";
@import "styles/layouts/layout-alpha";
@import "styles/layouts/layout-beta";
@import "styles/layouts/layout-gamma";
@import "styles/pages/components";

.mat-pseudo-checkbox-checked.mat-pseudo-checkbox-disabled, .mat-pseudo-checkbox-indeterminate.mat-pseudo-checkbox-disabled {
    background: #1edd18 !important;
    border-color: #1edd18 !important;
}
.mat-pseudo-checkbox-disabled {
    border-color: #dd1818 !important;
    background: transparent !important;
}
.timepicker-overlay {
    z-index: 10000000 !important;
}
.timepicker-backdrop-overlay {
    z-index: 10000000 !important;
}
.p-column-filter-row .p-column-filter-menu-button {
    display: none;
}
.disableColor .mat-select-value{
  color: #282829 !important;
}
span.mat-content {
    display: contents;
}

.p-datatable-wrapper {
    overflow: scroll;
}

.headerColum {    
    overflow: hidden;
    width: 160px;
}
.tableImg {
    max-height: 105px;   
    max-width: 100%;
}
.badgeTable {
    border-radius: 2px;
    padding: 2px;
    font-weight: 700;
    font-size: 12px;
}

div.kloustrTable {
    .headerTable{
        font-size: 12px;
        background: whitesmoke;                
        border-width: 1px 0px 1px 0px;
        border-style: solid;      
        border-color: rgba(0, 0, 0, 0.12);
        height: 56px;
        
    }
    tr.headerTable {
        th.headerColum{
            font-size: 12px;
            background: whitesmoke;            
            border-width: 0px;            
            font-family: Roboto, "Helvetica Neue", sans-serif;
            font-weight: 500;
            color: rgba(0, 0, 0, 0.54);

            
        }    
    }
    tr.bodyTable {
        td.cellTable {
            font-family: Roboto, "Helvetica Neue", sans-serif;            
            font-size: 14px;
            color: rgba(0, 0, 0, 0.87);
            background-color: rgba(255, 255, 255);

        }
    }
    .p-datatable .p-paginator-bottom {        
        background: whitesmoke;            
        border-width: 1px 0px 1px 0px;
        border-style: solid;      
        border-color: rgba(0, 0, 0, 0.12);
        height: 56px;
        font-size: 12px;
        font-family: Roboto, "Helvetica Neue", sans-serif;        
        color: rgba(0, 0, 0, 0.54);        
        justify-content:end;
    }
    .p-link {
        font-size: 13px;
    }
    
}

.all-in-one-table {
    .page-header.reverse-padding {
        margin-left: 0px;
        margin-right: 0px;
    }
}
